Issue 94949

Summary: Writer Bookmark Refactoring for metadata
Product: Writer Reporter: bjoern.michaelsen
Component: codeAssignee: bjoern.michaelsen
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P3 CC: ich, issues, pagalmes.lists, rbircher
Version: OOo 3.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 5487    

Description bjoern.michaelsen 2008-10-15 14:18:38 UTC
Do code refactoring in Writer to set all the various new features that rely on a
reference to a range of text on a more solid ground. These are or will be:

- "real" bookmarks
- text input fields as implemented by Florian
- "text meta" elements in ODF 1.2 metadata
- meta text fields in ODF 1.2 metadata
- the planned notes on ranges for issue #5487
Comment 1 ldoctors 2008-10-16 11:35:06 UTC
I want to help with this issue (especifically, with #5847). I'm reading the
introductory documentation, and I have just downloaded the Oo.o source code. If
you tell me which files/directories to look at, I would be very grateful.

Cheers,
Leandro Doctors
Comment 2 bjoern.michaelsen 2008-10-24 11:47:37 UTC
This relevant code is mostly in sw/source/core/source/crsr.
However, since the refactoring is Work in Progress it wont help you much to look
at the (old) implementations on the master. You will have more success checking
the cws swrefactormarks2 - keep in mind thought that it isnt finished yet and
still in flux.
Comment 3 Martin Hollmichel 2008-12-10 11:17:41 UTC
move target to 3.2.
Comment 4 bjoern.michaelsen 2009-01-08 13:26:20 UTC
NEW->STARTED: cws swrefactormarks2
Comment 5 bjoern.michaelsen 2009-02-27 22:24:15 UTC
fixed in swrefactormarks2
Comment 6 eric.savary 2009-04-17 16:45:14 UTC
Verified in CWS swrefactormarks2
Comment 7 Raphael Bircher 2012-03-18 00:40:28 UTC
The nice picture at the bugreport reminds me at good old times ;-)

Unbelevibel, this site still exist... but the pictures shows correctly. So I will close this issue